跳转到主内容

常见问题解答: ONTAP 中的 SnapDiff 支持

Views:
8
Visibility:
Public
Votes:
0
Category:
snapdiff
Specialty:
dp
Last Updated:

适用于

ONTAP 9

解答

SnapDiff 的不同版本是什么?

SnapDiff 有三个版本:

  • SnapDiff v1 是传统的 SnapDiff 引擎,只能用于 FlexVol 。 
  • SnapDiff v2 是 ONTAP 9.4 中提供的 SnapDiff 的更高版本。
    • SnapDiff v2 支持 FlexVols ,并且是 FlexGroup 卷支持所必需的。 
  • SnapDiff v3 是指一组 REST API ,其中包括 SnapDiff 功能以及可供选定合作伙伴使用的 SnapMirror Cloud ( SM-C )。SnapDiff v3 也称为 NetApp 备份框架,可在 ONTAP 9.8 及更高版本中使用。

尝试对 FlexGroup 卷使用 SnapDiff v1 将会失败。有关更多信息、请参见 When performing a SnapDiff Incremental Backup of a FlexGroup Volume 、 Spectrum Protect Fails with "SnapDiff version 1 is not supported for FlexGroup (执行 FlexGroup 卷的 SnapDiff 增量备份时、 Spectrum Protect 失败并显示 "SnapDiff .如果您不确定 SnapDiff 版本支持,请咨询您的备份应用程序供应商。

如何在 ONTAP 中启用 SnapDiff ?

在 ONTAP 中,默认情况下启用 SnapDiff v1 、不需要运行任何命令来启用。

可通过运行以下命令启用 SnapDiff v2 和 v3 :

::> set adv
::*> vserver snapdiff-rpc-server on -vserver <svm_name>

使用以下命令确认已启用 SnapDiff v2/v3 :

::> set adv
::*> vserver snapdiff-rpc-server show

输出示例:

::*> vserver snapdiff-rpc-server show
Vserver                SnapDiff RPC Server State
-----------            --------------------------
svm1                   on

SnapDiff 支持哪种类型的卷?

所有版本 ONTAP 9 中的 FlexVol 都支持 SnapDiff v1 和 v2 。ONTAP 9.4 及更高版本中的 FlexGroup 卷支持 SnapDiff v2 。SnapDiff v3 可在 ONTAP 9.8 及更高版本中使用。

如何配置 SnapDiff ?

您的备份应用程序可能需要特定的基于角色的访问控制( RBAC )身份验证和 NAS 访问配置。请查阅备份应用程序供应商关于 ONTAP SnapDiff 配置要求的文档。

其他信息

附加信息 _text